[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/fastai/fastbook/master)  
[English](./README.md) / [Spanish](./README_es.md) / [Korean](./README_ko.md) / [Chinese](./README_zh.md) / [Bengali](./README_bn.md) / [Indonesian](./README_id.md) / [Italian](./README_it.md)

# Il libro di fastai

Questi notebooks contengono un'introduzione al deep learning, [fastai](https://docs.fast.ai/), e [PyTorch](https://pytorch.org/). fastai è un API a più livelli per il deep learning; per ulteriori informazioni, si rimanda al [paper di fastai](https://www.mdpi.com/2078-2489/11/2/108). Tutto ciò che è contenuto in questa repo è copyright di Jeremy Howard e Sylvain Gugger, dal 2020 in poi.

Questi notebooks sono utilizzati come [MOOC (Massive Open Online Courses)](https://course.fast.ai) e costituiscono la base di [questo libro](https://www.amazon.com/Deep-Learning-Coders-fastai-PyTorch/dp/1492045527), attualmente disponibile per l'acquisto. Il libro non ha le stesse restrizioni GPL presenti in questa bozza.

Il codice presente nei notebook e i file python `.py` sono coperti dalla licena GPL v3; consulta il file LICENSE per maggiori dettagli.

Il resto (incluse tutte le celle di markdown dei notebooks) non è concesso in licenza per alcuna ridistribuzione o cambio di formato o supporto, salvo la creazione di copie dei notebooks o fork della repo per uso privato. Non è consentito alcun uso commerciale o distributivo. Stiamo rendendo questi materiali disponibili gratuitamente per aiutarti ad apprendere il deep learning, quindi ti preghiamo di rispettare il nostro copyright e queste restrizioni.

Qualora si notasse qualcuno intendo ad utilizzare una copia di questi materiali da qualche altra parte, si prega di informarlo che le sue azioni non sono consentite e potrebbero portare a un'azione legale. Inoltre, danneggerebbero la comunità perché è probabile che in questo modo non rilasceremo più materiale aggiuntivo se le persone ignorano il nostro copyright.

Questa è una prima bozza. Se si incontrano difficoltà nell'eseguire i notebooks, si prega di cercare risposte nel [fastai-dev forum](https://forums.fast.ai/c/fastai-users/fastai-dev/), chiedendo aiuto lì se necessario. Si prega di non utilizzare GitHub issues per problemi relativi all'esecuzione dei notebooks.

Qualsiasi pull request a questa repo assegna il copyright del lavoro a Jeremy Howard e Sylvain Gugger. (Inoltre, se si stanno apportando piccole modifiche all'ortografia o al testo, si prega di specificare il nome del file e una breve descrizione di ciò che si sta sistemando. È difficile per i revisori sapere quali correzioni sono già state apportate. Grazie.)

## Citazioni

Qualora si desiderasse citare il libro, è possibile farlo nella seguente maniera:

```
@book{howard2020deep,
title={Deep Learning for Coders with Fastai and Pytorch: AI Applications Without a PhD},
author={Howard, J. and Gugger, S.},
isbn={9781492045526},
url={https://books.google.no/books?id=xd6LxgEACAAJ},
year={2020},
publisher={O'Reilly Media, Incorporated}
}
```
