[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/fastai/fastbook/master)  
[English](./README.md) / [Spanish](./README_es.md) / [Korean](./README_ko.md) / [Chinese](./README_zh.md) / [Bengali](./README_bn.md) / [Indonesian](./README_id.md) / [Portuguese](./README_pt.md)

# O Livro fastai

Estes cadernos Jupyter cobrem a introdução a _deep learning_, [fastai](https://docs.fast.ai/), e [PyTorch](https://pytorch.org/). A fastai é como uma interface por camadas para _deep learning_. Para mais informações, ler o [paper sobre a fastai](https://www.mdpi.com/2078-2489/11/2/108). Todos os direitos dos conteúdos deste repositório são reservados a Jeremy Howard e Sylvain Gugger, de 2020 ao presente.

Os cadernos são usados para o [curso online](https://course.fast.ai) e são a base [deste livro](https://www.amazon.com/Deep-Learning-Coders-fastai-PyTorch/dp/1492045527), que se econtra atualmente para a venda. O livro não contém as mesmas restrições da licença GPL que constam neste rascunho.

O código existente nos cadernos e ficheiros python `.py` estão abrangidos pela licença GPLv3. Ver o ficheiro LICENSE para mais detalhes.

Os restantes conteúdos, incluindo todas as celas markdown nos cadernos e outros textos, não são licenciados para nenhuma redistribuição ou alteração de formato ou meio, além de cópias dos cadernos ou bifurcações do repositório para uso privado. Nenhum uso comercial ou de distribuição é permitido. Estes materiais são distribuídos gratuitamente para poder ajudar a aprender sobre _deep learning_ e, como tal, pede-se o respeito pelas licenças e estas restrições.

Se souber de alguém a fornecer uma cópia destes materiais noutro sítio, por favor, indique-lhe que não é permitido e pode levar a ação judicial. Além do mais, estariam a prejudicar a comunidade pois deixaremos de publicar novos materiais se as licenças e restrições forem continuamente ignoradas.

Este repositório é um esboço inicial. Se se deparar com algum problema ao correr os cadernos, por favor use o [fastai-dev forum](https://forums.fast.ai/c/fastai-users/fastai-dev/) para obter ajuda e crie novas perguntas se for necessário. Não utilize os _issues_ do GitHub para problemas relacionados com a execução dos cadernos.

Ao fazer um pedido de junção de alterações (_pull request_) para este repositório está a transferir todos os direitos desse trabalho para o Jeremy Howard e Sylvain Gugger (Adicionalmente, se for uma alteração de texto mínima para corrigir ortografia ou melhorar gramática, por favor, indique o nome do ficheiro e uma breve descrição do que está a alterar. É difícil para quem mantém o repositório saber quais correções já foram feitas. Obrigado.)

## Citações

Se deseja citar o livre, pode fazê-lo da seguinte forma:

```
@book{howard2020deep,
title={Deep Learning for Coders with Fastai and Pytorch: AI Applications Without a PhD},
author={Howard, J. and Gugger, S.},
isbn={9781492045526},
url={https://books.google.no/books?id=xd6LxgEACAAJ},
year={2020},
publisher={O'Reilly Media, Incorporated}
}
```
